<?php 

include('../conexao.php');
include('../config.php');

//CARREGAR DOMPDF
require_once '../dompdf/autoload.inc.php';
use Dompdf\Dompdf;

$cpf = $_GET['cpf'];
$data = $_GET['data'];
$id_curso = $_GET['id_curso'];



//VERIFICAR SE O ALUNO POSSUI O CURSO E JÁ FINALIZOU
     $result = mysqli_query($conexao, "select * from certificados where curso = '$id_curso' and aluno = '$cpf' and data = '$data' ");
     $linha = mysqli_num_rows($result);
     if($linha == 0){
     	  echo "<script language='javascript'>window.location='../painel-aluno/painel_aluno.php?acao=cursos'; </script>";
     	  exit();
     }



//ALIMENTAR OS DADOS NO RELATÓRIO
$html = utf8_encode(file_get_contents($url_site."/certificados/certificado.php?cpf=".$cpf."&data=".$data."&id_curso=".$id_curso));



//INICIALIZAR A CLASSE DO DOMPDF
$pdf = new DOMPDF();

//Definir o tamanho do papel e orientação da página
$pdf->set_paper('A4', 'landscape');

//CARREGAR O CONTEÚDO HTML
$pdf->load_html(utf8_decode($html));

//RENDERIZAR O PDF
$pdf->render();

//NOMEAR O PDF GERADO
$pdf->stream(
'certificado.pdf',
array("Attachment" => false)
);




?>